#include<bits/stdc++.h>
using namespace std;
int n;
long long h[1007], l;
int main(){
    cin>>n>>l;
    for(int i=1; i<=n; i++)
        cin>>h[i];

    for(int i=1; i<=n; i++){
        if(h[i]<=l){
            cout<<i<<endl;
            return 0;
        }
    }

    cout<<-1<<endl;
    return 0;
}